创建智能体
创建智能体及其首个不可变版本("1")。
- 省略
version的技能引用会在写入时固定为当时的最新版本;指定精确版本会固定使用该版本;显式传入"latest"时保留该值,并在读取或唤醒时重新解析。插件引用按所属市场的版本规则处理(见PluginRef.version)。 multiagent中的子智能体名单在写入时解析为固定的智能体版本。
curl --request POST \
--url https://api.moonshot.cn/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Agent",
"model": "kimi-example"
}
'import requests
url = "https://api.moonshot.cn/v1/agents"
payload = {
"name": "Example Agent",
"model": "kimi-example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Agent', model: 'kimi-example'})
};
fetch('https://api.moonshot.cn/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonshot.cn/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Agent',
'model' => 'kimi-example'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonshot.cn/v1/agents"
payload := strings.NewReader("{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonshot.cn/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonshot.cn/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}"
response = http.request(request)
puts response.read_body{
"id": "agent_01h455vb4pex5vsknk084sn02q",
"name": "Example Agent",
"model": {
"id": "kimi-example"
},
"version": "1",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"scope": "project"
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}请求头
本次请求使用的 API 版本,格式为 YYYY-MM-DD。发送 2026-09-01-beta 即使用本文档所述版本。/v1/files* 之外必传:未携带请求头将被拒绝并返回 400 invalid_request_error;在 /v1/files* 上缺省时选择兼容行为。所有端点对未知取值均返回 400 invalid_request_error。
平台当前支持的 API 版本。新的日期版本发布时加入;版本在公告的 Sunset 日期后移除。
2026-09-01-beta 可选的幂等键。相同的键与请求体会在 24 小时内重放首个响应;以不同的请求体复用,或在首个请求仍在处理时复用,返回 409。
请求体
创建智能体的请求体。同时创建第一个不可变版本。
人类可读的智能体名称。
1 - 256所选模型。
可选的人类可读描述。
2048系统提示词。
100000智能体可用的工具。
128内置智能体工具集声明。同一 name 出现多次时,只使用首份声明及其 default_config、configs,不合并后续声明。
- Agent 工具集
- 自定义工具
- MCP 工具集
Show child attributes
Show child attributes
智能体可用的 MCP 服务器连接。名称必须唯一。
20Show child attributes
Show child attributes
智能体可用的技能。
Show child attributes
Show child attributes
智能体可用的插件。
Show child attributes
Show child attributes
用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
允许智能体创建子线程的配置。
Show child attributes
Show child attributes
响应
已创建的智能体,处于首个不可变版本。
持久化的、带版本管理的智能体配置。
智能体 ID。
人类可读的智能体名称。
所选模型。
智能体当前的不可变版本。
创建时间戳。
最后更新时间戳。
可见性范围。
official, org, project, user 可选的人类可读描述。
系统提示词。
智能体可用的工具。
内置智能体工具集声明。同一 name 出现多次时,只使用首份声明及其 default_config、configs,不合并后续声明。
- Agent 工具集
- 自定义工具
- MCP 工具集
Show child attributes
Show child attributes
智能体可用的 MCP 服务器连接。
Show child attributes
Show child attributes
智能体可用的技能版本。空版本在写入时冻结;"latest" 原样保留,每次唤醒现解最新版。
Show child attributes
Show child attributes
智能体可用的插件,在写入时冻结。
Show child attributes
Show child attributes
用户自定义元数据(最多 16 条)。
Show child attributes
Show child attributes
归档时间戳。处于活跃状态时不存在。
解析后的子智能体配置。单智能体时不存在。
Show child attributes
Show child attributes
此页面对您有帮助吗?
curl --request POST \
--url https://api.moonshot.cn/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Agent",
"model": "kimi-example"
}
'import requests
url = "https://api.moonshot.cn/v1/agents"
payload = {
"name": "Example Agent",
"model": "kimi-example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Agent', model: 'kimi-example'})
};
fetch('https://api.moonshot.cn/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonshot.cn/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Agent',
'model' => 'kimi-example'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonshot.cn/v1/agents"
payload := strings.NewReader("{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonshot.cn/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonshot.cn/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Agent\",\n \"model\": \"kimi-example\"\n}"
response = http.request(request)
puts response.read_body{
"id": "agent_01h455vb4pex5vsknk084sn02q",
"name": "Example Agent",
"model": {
"id": "kimi-example"
},
"version": "1",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"scope": "project"
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}